Skip to main content

Get last Actor run's log

GET 

/v2/actors/:actorId/runs/last/log

Retrieves last Actor run's logs.

This endpoint is a shortcut for getting last Actor run's log. Same as Get log endpoint.

Request

Path Parameters

    actorId string required

    Actor ID or the username of the Actor owner and the Actor name, separated by a tilde (~).


    Example: compass~google-maps-extractor

Query Parameters

    status string

    Filter for the run status.


    Example: SUCCEEDED
    origin RunOrigin

    Possible values: [DEVELOPMENT, WEB, API, SCHEDULER, TEST, WEBHOOK, ACTOR, CLI, CI, STANDBY, MCP]

    Filter for the run origin, i.e. the means by which the run was started.

    stream boolean

    If true or 1 then the logs will be streamed as long as the run or build is running.


    Example: false
    download boolean

    If true or 1 then the web browser will download the log file rather than open it in a tab.


    Example: false
    raw boolean

    If true or 1, the logs will be kept verbatim. By default, the API removes ANSI escape codes from the logs, keeping only printable characters.


    Example: false

Status 200

Response Headers
    "2017-07-14T06:00:49.733Z Application started.\n2017-07-14T06:00:49.741Z Input: { test: 123 }\n2017-07-14T06:00:49.752Z Some useful debug information follows.\n"